Download it now!
Bug 31437 - Installation: Existing JRE should be found and integrated
Summary: Installation: Existing JRE should be found and integrated
Status: CLOSED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-07 01:59 UTC by Rainer Bielefeld Retired
Modified: 2011-12-23 15:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2010-11-07 01:59:34 UTC
My LibreOffice 3.3.0  -  WIN XP DE [OOO330m9 (Build:1 - build 3.2.99.2)] has been installed without JRE also I have an existing 1.6.0_22

I believe at least there should come up a dialog during installation what asks whether installer should search PC for JRE and install if JRE exists
Comment 1 Petr Mladek 2010-11-16 07:08:04 UTC
We do not want to distribute JRE with LibreOffice because of license troubles.

Rainer, where do you have your java installed?

I have it in C:\Program Files\Java\jre6 (default path) and it is found automatically by LibO.
Comment 2 Rainer Bielefeld Retired 2010-11-16 07:47:49 UTC
C:\Programme\Java\jre6       (German PC)
IMHO the question is not whether LibO can find 'Java but whether it looks for it during installation.
If it would not have found it during installation I would have awaited a message?
Comment 3 Fridrich Strba 2010-11-17 02:17:39 UTC
I don't think that a message is an appropriate way. LibreOffice does not need Java to be installed and it does not need Java to perform some core functionalities like open and edit documents or spreadsheets, or create drawings or presentations. Therefore, it is not really great to give a message about missing Java at install-time. My 2 cents.
Comment 4 Petr Mladek 2010-11-18 05:47:12 UTC
The application shows a warning when you select a function that requires Java and java is not available. It tells you how to set it at the same time. I think that it is enough => closing this bug.

If any java functionality does not work and it does not warn you, please open another bug.
Comment 5 Rainer Bielefeld Retired 2010-11-18 06:13:25 UTC
My main problem wa that LibO took other settings from already installed OOo (3.1.1?), but not Java settings.

I can live without WONTFIX without problems because Beta3 accepted JRE defined in Beta2 without problems.
Comment 6 Björn Michaelsen 2011-12-22 05:52:54 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.